#define 	beta	beta	
%define  	beta	%{nil}
%define ver	1.7
%define	rel	0		
Name:   	ktexmaker2
Summary: 	LaTeX source editor and TeX shell
%if "%beta" == ""
Version:	%ver
Release: 	%rel
%else
Version:	%{ver}%{beta}
Release:	0.%rel
%endif
Source: 	http://xm1.net.free.fr/linux//%{name}-%{version}.tar.gz
Group: 		Applications/Publishing
Copyright: 	GPL
Url:    	http://xm1.net.free.fr/linux/index.html
Vendor: 	Pascal Brachet <pascal.brachet@free.fr>
Patch1:	  	%{name}-1.6-libtool.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)-root
BuildRequires:	qt-devel >= 2.3.0
BuildRequires:	kdelibs-devel >= 2.1

%description
KDE2 LaTeX source editor and TeX shell

%prep
rm -rf "$RPM_BUILD_ROOT"

%setup -q 

[ -f /etc/profile.d/qt.sh ] &&  . /etc/profile.d/qt.sh
[ -f /etc/profile.d/kde.sh ] && . /etc/profile.d/kde.sh

## Fixup for goofy config... reconig/autoconf/automake madness.
touch --reference=configure.in.in subdirs

# remove --tag=CXX for link step
%patch1 -p1 -b .libtool

# Nuke libtoolize for now.
%define __libtoolize :

%configure --disable-debug

%build
%{__make}

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT 
rm -rf $RPM_BUILD_DIR/file.list.%{name} $RPM_BUILD_DIR/%{name}.lang

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/apps/*
%{_datadir}/applnk/*/*
%{_datadir}/icons/*/*/*/*
%docdir %{_docdir}/ktexmaker2
%docdir %{_docdir}/HTML/*


%changelog
* Thu Dec 13 2001 Rex Dieter <rdieter@unl.edu> 1.7-0
- 1.7 final

* Tue Dec 04 2001 Rex Dieter <rdieter@unl.edu> 1.7beta-0
- 1.7beta
- fixup specfile to handle beta releases.

* Tue Dec 04 2001 Rex Dieter <rdieter@unl.edu> 1.6-2
- langify 
- use make install-strip DESTDIR=$RPM_BUILD_ROOT
- make xpm's claiming to be png's REALLY png's.

* Thu Oct 11 2001 Rex Dieter <rdieter@unl.edu> 1.6-1
- update to 1.6
- libtool patch: undo --link + --tag=CXX
- fix config... reconfig/autoconf madness.
- BuildRequires: kdelibs-devel, qt-devel

* Fri Oct 5 2001 Rex Dieter <rdieter@unl.edu> 1.5-1
- clean up specfile
- rebuild against KDE 2.2.1

* Thu Jul 12 2001 Rex Dieter <rdieter@unl.edu> 1.5-0
- update to 1.5
- Group: Applications/Publishing

* Mon May 21 2001 Rex Dieter <rdieter@unl.edu>
- Fixup configure step
- use makeinstall
